Subject: Re: [PATCH 1/2] doc: git-checkout: trivial callout cleanup

From: Felipe Contreras <[email-masked]>
Date: Tue, 02 May 2023 10:05:59 -0600

Jeff King wrote:
> On Thu, Apr 27, 2023 at 04:09:32PM -0600, Felipe Contreras wrote:
> 
> > > Using just a blank line between the code block and the call-out list
> > > (instead of the "+") works for asciidoc (it is happy to keep the two
> > > together) but not asciidoctor (it ends the outer ordered list before
> > > starting the callout list).
> > 
> > I don't know what you mean.
> 
> For reference, I meant this:
> 
> diff --git a/Documentation/git-checkout.txt b/Documentation/git-checkout.txt
> index 6bb32ab460..ed32497290 100644
> --- a/Documentation/git-checkout.txt
> +++ b/Documentation/git-checkout.txt
> @@ -529,7 +529,7 @@ $ git checkout master~2 Makefile  <2>
>  $ rm -f hello.c
>  $ git checkout hello.c            <3>
>  ------------
> -+
> +
>  <1> switch branch
>  <2> take a file out of another commit
>  <3> restore `hello.c` from the index
> 
> which asciidoc renders the same, but asciidoctor is not.

I see. I would say the code is ambiguous, so it's not surprising that a parser
interprets it as an end of a list element.

-- 
Felipe Contreras